Creates a new type

Request Information

URI Parameters :

None.

Body Parameters :

None.

Response Information

Resource Description :

marketing_segment
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
code

string

Max length: 50

segment

Marketing segment Name

string

Required

Max length: 50

description

Description of the segment

string

Max length: 255

visit_frequency_days_interval

Number of days between 2 visits

integer
frequency_logic

Logic to apply for the frequency, which last events (value can be ORDER,MEETING_COMPLETED or ORDER_OR_MEETING_COMPLETED )

string
sales_organization_id

FK of sales_organization. Filled if specific of one SO, empty if can be used by all

globally unique identifier
sales_organization_code

Embedded entity "sales_organization" using ERP PK when adding/updating company_type

string
sales_organization

Embedded entity "sales_organization" when adding/updating company_type

sales_organization
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Response Formats

application/json, text/json

Sample:
{
  "id": "9a8fdc5b-ee5d-4186-bf13-a0445bd9b183",
  "code": "sample string 2",
  "segment": "sample string 3",
  "description": "sample string 4",
  "visit_frequency_days_interval": 5,
  "frequency_logic": "sample string 6",
  "sales_organization_id": "e582baeb-2016-4d42-abd1-0f8e51994ccb",
  "sales_organization_code": "sample string 8",
  "sales_organization": {
    "id": "2ad474b0-c3ce-444e-9295-49b519cc36ff",
    "code": "sample string 2",
    "name": "sample string 3",
    "description": "sample string 4",
    "db_country_id": "7a05ca5f-d9d7-4abb-89e6-90e0ed5f541c",
    "db_currency_id": "f6bec4fd-e2a0-4fbe-bd95-bed7e1705e41",
    "db_language_id": "f4892514-871f-4c20-a3bb-bf82765025ef",
    "accountancy_code": "sample string 8",
    "archived": true,
    "default_unit_of_measure_system_type": "sample string 10",
    "street": "sample string 11",
    "street2": "sample string 12",
    "street_number": "sample string 13",
    "zip": "sample string 14",
    "city": "sample string 15",
    "email": "sample string 16",
    "phone": "sample string 17",
    "fax": "sample string 18",
    "url": "sample string 19",
    "vat_reg_code": "sample string 20",
    "modified_dateutc": "2026-07-27T18:22:42.6263084+00:00"
  },
  "modified_dateutc": "2026-07-27T18:22:42.6263084+00:00"
}